LTR-QGIS crashes after edit a Modell
Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:2.18.20 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 26876

Description

Dear developers,

Since qgis 2.19 QGIS models can not be closed after processing without QGIS crashes.

Occurs on Linux, Windows, Mac

This significantly limits the usability of the LTR-QGIS for power-users.

In addition to bug report # 18939, I'd like to suggest giving this bug a high priority.

-------------------------------------------

Ein Fehler trat bei der Ausführung von Python-Code auf:

RuntimeError: maximum recursion depth exceeded 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 163, in updateProvider

    item.refresh()

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 377, in refresh

    Processing.updateAlgsList()

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 184, in updateAlgsList

    Processing.reloadProvider(p.getName())

  File "/usr/share/qgis/python/plugins/processing/core/Processing.py", line 189, in reloadProvider

    algList.reloadProvider(providerName)

  File "/usr/share/qgis/python/plugins/processing/core/alglist.py", line 55, in reloadProvider

    p.loadAlgorithms()

  File "/usr/share/qgis/python/plugins/processing/core/AlgorithmProvider.py", line 56, in loadAlgorithms

    self._loadAlgorithms()

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithmProvider.py", line 76, in _loadAlgorithms

    self.loadFromFolder(f)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithmProvider.py", line 86, in loadFromFolder

    alg = ModelerAlgorithm.fromFile(fullpath)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 641, in fromFile

    alg = ModelerAlgorithm.fromJsonFile(filename)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 630, in fromJsonFile

    alg = ModelerAlgorithm.fromJson(s)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerAlgorithm.py", line 623, in fromJson

    raise WrongModelException(e.args

0

)

RuntimeError: maximum recursion depth exceeded

Python-Version: 2.7.12 (default, Dec  4 2017, 14:50:18) [GCC 5.4.0 20160609] 

QGIS-Version: 2.18.20 Las Palmas, e8e15d5
Python-Pfad:

/usr/share/qgis/python/plugins/processing

/usr/share/qgis/python

/home/leiner/.qgis2/python

/home/leiner/.qgis2/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python2.7

/usr/lib/python2.7/plat-x86_64-linux-gnu

/usr/lib/python2.7/lib-tk

/usr/lib/python2.7/lib-old

/usr/lib/python2.7/lib-dynload

/usr/local/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages

/usr/lib/python2.7/dist-packages/PILcompat

/usr/lib/python2.7/dist-packages/gtk-2.0

/home/leiner/.qgis2//python

Related issues:

Duplicates QGIS Application - Bug report # 18877: Maximum recursion depth exc... Closed 2018-04-29

History

#1 - 2018-05-28 04:51 PM - Giovanni Manghi

- Status changed from Open to Feedback

do you mean "2.18.19"?

Can you add exact steps on how replicate the issue? thanks.

#2 - 2018-05-28 05:30 PM - Claas Leiner

Hi Giovanni,

Yes i mean 2.18.19

When editing a model, e.g. If a new algorithm is added, the model can still be successfully saved but not closed without the error message coming up. The

error message can not be closed. The program must be aborted via the task manager.

#3 - 2018-05-28 06:12 PM - Giovanni Manghi

I cannot confirm here (ubuntu 16.04)-

#4 - 2018-06-05 09:14 AM - Matthias Kuhn

- Status changed from Feedback to In Progress

- Pull Request or Patch supplied changed from No to Yes

Pull request pending in https://github.com/qgis/QGIS/pull/7116/
https://github.com/qgis/QGIS/pull/7116/


#5 - 2018-06-20 08:32 PM - Martin Dobias

- Duplicates Bug report #18877: Maximum recursion depth exceeded after adding a model or script to the Processing algorithm list (since 2.18.18!) 

added

#6 - 2018-06-20 08:33 PM - Martin Dobias

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed

PR merged few days ago - closing.
